Skip to main content
`Ctrl`+`K`

# PetscSortRemoveDupsReal

Sorts an array of `PetscReal` in place in increasing order and removes all duplicate entries

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscSortRemoveDupsReal(PetscInt *n, PetscReal v[])

Not Collective

## Input Parameters

- n - initial number of values

- v - array of values

## Note

On output both `n` and `v` are modified with non-redundant values.

## See Also

`PetscSortReal()`, `PetscSortRemoveDupsInt()`

## Level

intermediate

## Location

src/sys/utils/sortd.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages